Bug 77559 - Writer: Undo on a section delete returns the additional duplicated text
Summary: Writer: Undo on a section delete returns the additional duplicated text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2014-04-17 07:48 UTC by sworddragon2
Modified: 2019-03-15 03:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2014-04-17 07:48:47 UTC
If a section gets deleted but the action is then undone there is often a delay of ~1-2 seconds and after this time the returned text is wrong. Here are the steps to reproduce:

1. Open a new Writer document.
2. Write the 3 lines "Test1", "Test2" and "Test3".
3. Select "Test2".
4. Go to Insert -> Section, enable the checkbox "Hide", insert the condition "hidden==1" without doublequotes and click on "Insert".
5. Delete the section.
6. Press CTRL + Z.
6.1. The second line will now be empty and after a delay the section does appear.
7. Press CTRL + Z.
7.1 Test2 appears now again in the section but this line got duplicated as non-section.
Comment 1 sophie 2014-04-29 13:33:11 UTC
Reproduce using version 4.2.4.1 Ubuntu 14.04 - Set as New - Sophie
Comment 2 Gordo 2015-06-05 17:22:22 UTC
Could not reproduce.

1. New Text Document.
2. Type “test1”, Enter, “test2”, Enter, and “test3”.
3. Select “test2”.
4. Insert → Section, check Hide, type “hidden=1” (without quotes) in With Condition box, and Insert.
Note:
“test2” is hidden and in Navigator, “Section 1” is greyed out.
5. Format → Sections, select “Section 1”, Remove and OK.
Note:
“test2” is no longer hidden and section has been deleted.
6. Undo.
Note:
“test2” is hidden and in Navigator, “Section 1” is greyed out.
7. Undo.
Note:
“test2” is no longer hidden and section has been deleted.
Result:
Document is at state prior to insert section.

When “hidden==1” is used then it is just a regular section and the result is the same.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16

Can someone retest on Linux with a more recent version?
Comment 3 sworddragon2 2015-06-05 20:40:15 UTC
I'm still able to reproduce this issue with LibreOffice 4.4.2.2 on Linux.
Comment 4 QA Administrators 2016-09-20 09:45:56 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-03-13 14:59:13 UTC
I reproduced with 6.1+ like this:
1. Open a new Writer document.
2. Write the 4 lines "Test1", "Test2", "Test3", "Test4".
3. Select "Test2".
Go to Insert -> Section, enable the checkbox "Hide", insert the condition "hidden==1" without doublequotes and click on "Insert".
4. Select "Test4".
Go to Insert -> Section and click on "Insert".
5. Put cursor before "Test2" and press Delete to delete text and than again to delete the section.
6. Press CTRL + Z to Undo.
The second line will now be empty.
7. Press CTRL + Z to Undo again.
Test2 appears now again in the section but this line got duplicated as non-section at the end.
Comment 6 QA Administrators 2019-03-15 03:55:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug